// code is Copyright (c) 2008 Julian M Bucknall, www.boyet.com
using System;
using System.Drawing;

namespace RedBlackTrees {
  public class GridLines {
    public static void Draw(Graphics surface, int width, int height, float unit) {
      using (Pen pen = new Pen(Color.FromArgb(0xf0, 0xf0, 0xf0), 1.0f / unit)) {
        for (int x = 0; x < width / unit; x++) {
          surface.DrawLine(pen, new PointF(x, 0), new PointF(x, height));
        }
        for (int y = 0; y < height / unit; y++) {
          surface.DrawLine(pen, new PointF(0, y), new PointF(width, y));
        }
      }
    }
  }
}
