// code is Copyright (c) 2008 Julian M Bucknall, www.boyet.com
using System;

namespace RedBlackTrees {
  public interface IBinaryNodePainter {
    void DrawEdge(int childNumber, int childLevel, int parentNumber);
    void DrawNode(IBinaryNode node, int number, int level);
    void DrawEdgedNode(IBinaryNode node, int childNumber, int childLevel, int parentNumber);
  }
}
